org.multiverse.api.callables

## Interface TxnCallable<E>

    public interface TxnCallable<E>

A transactional callable contains the logic that needs to be executed transactionally and normally is executed by the `TxnExecutor`. This transactional callable is optimized for returning an object reference.

### Method Summary

Methods
`E` `call(Txn txn)` Executes the callable.

### Method Detail

#### call

    E call(Txn txn)
           throws java.lang.Exception

Executes the callable.

Parameters:
  `txn` - the Transaction. Depending on the txn `PropagationLevel`, this could be null.
Returns:
  the result of the execution.
Throws:
  `java.lang.Exception`